/**!
 * vintageJS
 * Add a retro/vintage effect to images using the HTML5 canvas element
 *
 * @license Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
 * @author Robert Fleischmann <rendro87@gmail.com>
 * @version 1.1.3
 **/

!function(a,b,c){a.fn.vintage=function(d,e){var f=function(a,d,e){if(!1==a instanceof HTMLImageElement)throw"The element (1st parameter) must be an instance of HTMLImageElement";var f,g,h,i,j,k,l,m,n,o=new Image,p=new Image,q=c.createElement("canvas"),r=q.getContext("2d"),s={onStart:function(){},onStop:function(){},onError:function(){},mime:"image/jpeg"},t={curves:!1,screen:!1,desaturate:!1,vignette:!1,lighten:!1,noise:!1,viewFinder:!1,sepia:!1,brightness:!1,contrast:!1};o.onerror=s.onError,o.onload=function(){k=q.width=o.width,l=q.height=o.height,f()},p.onerror=s.onError,p.onload=function(){r.clearRect(0,0,k,l),r.drawImage(p,0,0,k,l),(b.vjsImageCache||(b.vjsImageCache={}))[n]=r.getImageData(0,0,k,l).data,f()},g=function(a){s.onStart(),m={};for(var b in t)m[b]=a[b]||t[b];i=[],m.viewFinder&&i.push(m.viewFinder),o.src==j?f():o.src=j},f=function(){if(0===i.length)return h();var a=i.pop();return n=[k,l,a].join("-"),b.vjsImageCache&&b.vjsImageCache[n]?f():(p.src=a,void 0)},h=function(){var c,d,e;r.clearRect(0,0,k,l),r.drawImage(o,0,0,k,l),(m.vignette||m.lighten)&&(c=Math.sqrt(Math.pow(k/2,2)+Math.pow(l/2,2))),m.vignette&&(r.globalCompositeOperation="source-over",d=r.createRadialGradient(k/2,l/2,0,k/2,l/2,c),d.addColorStop(0,"rgba(0,0,0,0)"),d.addColorStop(.5,"rgba(0,0,0,0)"),d.addColorStop(1,["rgba(0,0,0,",m.vignette,")"].join("")),r.fillStyle=d,r.fillRect(0,0,k,l)),m.lighten&&(r.globalCompositeOperation="lighter",d=r.createRadialGradient(k/2,l/2,0,k/2,l/2,c),d.addColorStop(0,["rgba(255,255,255,",m.lighten,")"].join("")),d.addColorStop(.5,"rgba(255,255,255,0)"),d.addColorStop(1,"rgba(0,0,0,0)"),r.fillStyle=d,r.fillRect(0,0,k,l)),e=r.getImageData(0,0,k,l);var f,g,h,i,j,n,p,q,t,u=e.data;m.contrast&&(t=259*(m.contrast+255)/(255*(259-m.contrast))),m.viewFinder&&(q=b.vjsImageCache[[k,l,m.viewFinder].join("-")]);for(var v=k*l;v>=0;--v)for(f=v<<2,m.curves&&(u[f]=m.curves.r[u[f]],u[f+1]=m.curves.g[u[f+1]],u[f+2]=m.curves.b[u[f+2]]),m.contrast&&(u[f]=t*(u[f]-128)+128,u[f+1]=t*(u[f+1]-128)+128,u[f+2]=t*(u[f+2]-128)+128),m.brightness&&(u[f]+=m.brightness,u[f+1]+=m.brightness,u[f+2]+=m.brightness),m.screen&&(u[f]=255-(255-u[f])*(255-m.screen.r*m.screen.a)/255,u[f+1]=255-(255-u[f+1])*(255-m.screen.g*m.screen.a)/255,u[f+2]=255-(255-u[f+2])*(255-m.screen.b*m.screen.a)/255),m.noise&&(p=m.noise-Math.random()*m.noise/2,u[f]+=p,u[f+1]+=p,u[f+2]+=p),m.viewFinder&&(u[f]=u[f]*q[f]/255,u[f+1]=u[f+1]*q[f+1]/255,u[f+2]=u[f+2]*q[f+2]/255),m.sepia&&(h=u[f],i=u[f+1],j=u[f+2],u[f]=.393*h+.769*i+.189*j,u[f+1]=.349*h+.686*i+.168*j,u[f+2]=.272*h+.534*i+.131*j),m.desaturate&&(n=(u[f]+u[f+1]+u[f+2])/3,u[f]+=(n-u[f])*m.desaturate,u[f+1]+=(n-u[f+1])*m.desaturate,u[f+2]+=(n-u[f+2])*m.desaturate),g=2;g>=0;--g)u[f+g]=~~(u[f+g]>255?255:u[f+g]<0?0:u[f+g]);r.putImageData(e,0,0),a.src=r.canvas.toDataURL(s.mime),s.onStop()},j=a.src,d=d||{};for(var u in s)s[u]=d[u]||s[u];return e&&g(e),{apply:function(){j=a.src},reset:function(){a.src=j},vintage:g}};return this.each(function(){a.data(this,"vintageJS")||a.data(this,"vintageJS",new f(this,d,e))})}}(jQuery,window,document);